/*
Code automatically generated by asn1scc tool
*/
#include <limits.h>
#include <string.h>
#include <math.h>
#include "Temperature.h"

#if !defined(_MSC_VER) || _MSC_VER >= 1800
void Temperature_Initialize(Temperature* pVal)
{
    *pVal = (Temperature) {
    .kelvin = 0.00000000000000000000E+000
};
}
#endif

 
flag Temperature_IsConstraintValid(const Temperature* pVal, int* pErrCode)
{
    
    flag ret = TRUE;
	*pErrCode=0;

	(void)pVal;

	ret = T_Double_IsConstraintValid(&pVal->kelvin, pErrCode);


	return ret;
}

flag Temperature_Encode(const Temperature* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints)
{
    flag ret = TRUE;
    
	ret = bCheckConstraints ? Temperature_IsConstraintValid(pVal, pErrCode) : TRUE ;
	if (ret) {
	    /*Encode kelvin */
	    ret = T_Double_Encode(&pVal->kelvin, pBitStrm, pErrCode, FALSE);

    }

	return ret;
}

flag Temperature_Decode(Temperature* pVal, BitStream* pBitStrm, int* pErrCode)
{
    flag ret = TRUE;

	/*Decode kelvin */
	ret = T_Double_Decode(&pVal->kelvin, pBitStrm, pErrCode);
	


	return ret;
}

